## geeps 0.0.3

=== Makefile ===
#############################################################################
# Makefile for building: geeps
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Oct 12 17:24:19 2010
# Project:  geeps.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile geeps.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="debian/geeps/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include/QtXml -I/usr/include/QtWebKit -I/usr/include/QtMaemo5 -I/usr/include -I/usr/include/QtLocation -I/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtWebKit -lsqlite3 -lphonon -lQtXmlPatterns -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		directionsdlg.cpp \
		finddlg.cpp \
		geocoderequester.cpp \
		googledirections.cpp \
		directions.cpp \
		currdirectionsdlg.cpp \
		toolbutton.cpp \
		mapwindow.cpp \
		geolocation.cpp \
		maemo5wnd.cpp \
		pickselectoraction.cpp moc_mainwindow.cpp \
		moc_directionsdlg.cpp \
		moc_finddlg.cpp \
		moc_geocoderequester.cpp \
		moc_googledirections.cpp \
		moc_currdirectionsdlg.cpp \
		moc_toolbutton.cpp \
		moc_fullscreenexitbutton.cpp \
		moc_mapwindow.cpp \
		moc_geolocation.cpp \
		moc_maemo5wnd.cpp \
		moc_pickselectoraction.cpp \
		qrc_res.cpp
OBJECTS       = main.o \
		mainwindow.o \
		directionsdlg.o \
		finddlg.o \
		geocoderequester.o \
		googledirections.o \
		directions.o \
		currdirectionsdlg.o \
		toolbutton.o \
		mapwindow.o \
		geolocation.o \
		maemo5wnd.o \
		pickselectoraction.o \
		moc_mainwindow.o \
		moc_directionsdlg.o \
		moc_finddlg.o \
		moc_geocoderequester.o \
		moc_googledirections.o \
		moc_currdirectionsdlg.o \
		moc_toolbutton.o \
		moc_fullscreenexitbutton.o \
		moc_mapwindow.o \
		moc_geolocation.o \
		moc_maemo5wnd.o \
		moc_pickselectoraction.o \
		qrc_res.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/mobility.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		geeps.pro
QMAKE_TARGET  = geeps
DESTDIR       = 
TARGET        = geeps

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_directionsdlg.h ui_finddlg.h ui_currdirectionsdlg.h ui_mapwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: geeps.pro  /usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/mobility.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtWebKit.prl \
		/usr/lib/libphonon.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile geeps.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/mobility.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtWebKit.prl:
/usr/lib/libphonon.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile geeps.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/geeps1.0.0 || $(MKDIR) .tmp/geeps1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.h directionsdlg.h finddlg.h geocoderequester.h location.h googledirections.h directions.h currdirectionsdlg.h toolbutton.h fullscreenexitbutton.h mapwindow.h geolocation.h maemo5wnd.h pickselectoraction.h fullscreenexitbutton.h .tmp/geeps1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/geeps1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp directionsdlg.cpp finddlg.cpp geocoderequester.cpp googledirections.cpp directions.cpp currdirectionsdlg.cpp toolbutton.cpp mapwindow.cpp geolocation.cpp maemo5wnd.cpp pickselectoraction.cpp .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.ui directionsdlg.ui finddlg.ui currdirectionsdlg.ui mapwindow.ui .tmp/geeps1.0.0/ && (cd `dirname .tmp/geeps1.0.0` && $(TAR) geeps1.0.0.tar geeps1.0.0 && $(COMPRESS) geeps1.0.0.tar) && $(MOVE) `dirname .tmp/geeps1.0.0`/geeps1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/geeps1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_mapwindow.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_mapwindow.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
moc_mainwindow.cpp: toolbutton.h \
		location.h \
		geolocation.h \
		maemo5wnd.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_directionsdlg.cpp: directionsdlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) directionsdlg.h -o moc_directionsdlg.cpp

moc_finddlg.cpp: geocoderequester.h \
		location.h \
		finddlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) finddlg.h -o moc_finddlg.cpp

moc_geocoderequester.cpp: location.h \
		geocoderequester.h
	/usr/bin/moc $(DEFINES) $(INCPATH) geocoderequester.h -o moc_geocoderequester.cpp

moc_googledirections.cpp: directions.h \
		location.h \
		googledirections.h
	/usr/bin/moc $(DEFINES) $(INCPATH) googledirections.h -o moc_googledirections.cpp

moc_currdirectionsdlg.cpp: directions.h \
		location.h \
		currdirectionsdlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) currdirectionsdlg.h -o moc_currdirectionsdlg.cpp

moc_toolbutton.cpp: toolbutton.h
	/usr/bin/moc $(DEFINES) $(INCPATH) toolbutton.h -o moc_toolbutton.cpp

moc_fullscreenexitbutton.cpp: fullscreenexitbutton.h
	/usr/bin/moc $(DEFINES) $(INCPATH) fullscreenexitbutton.h -o moc_fullscreenexitbutton.cpp

moc_mapwindow.cpp: mapwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mapwindow.h -o moc_mapwindow.cpp

moc_geolocation.cpp: location.h \
		geolocation.h
	/usr/bin/moc $(DEFINES) $(INCPATH) geolocation.h -o moc_geolocation.cpp

moc_maemo5wnd.cpp: maemo5wnd.h
	/usr/bin/moc $(DEFINES) $(INCPATH) maemo5wnd.h -o moc_maemo5wnd.cpp

moc_pickselectoraction.cpp: pickselectoraction.h
	/usr/bin/moc $(DEFINES) $(INCPATH) pickselectoraction.h -o moc_pickselectoraction.cpp

moc_fullscreenexitbutton.cpp: fullscreenexitbutton.h
	/usr/bin/moc $(DEFINES) $(INCPATH) fullscreenexitbutton.h -o moc_fullscreenexitbutton.cpp

compiler_rcc_make_all: qrc_res.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_res.cpp
qrc_res.cpp: res.qrc \
		west.png \
		south.png \
		north.png \
		east.png
	/usr/bin/rcc -name res res.qrc -o qrc_res.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h ui_directionsdlg.h ui_finddlg.h ui_currdirectionsdlg.h ui_mapwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h ui_directionsdlg.h ui_finddlg.h ui_currdirectionsdlg.h ui_mapwindow.h
ui_mainwindow.h: mainwindow.ui
	/usr/bin/uic mainwindow.ui -o ui_mainwindow.h

ui_directionsdlg.h: directionsdlg.ui
	/usr/bin/uic directionsdlg.ui -o ui_directionsdlg.h

ui_finddlg.h: finddlg.ui
	/usr/bin/uic finddlg.ui -o ui_finddlg.h

ui_currdirectionsdlg.h: currdirectionsdlg.ui
	/usr/bin/uic currdirectionsdlg.ui -o ui_currdirectionsdlg.h

ui_mapwindow.h: mapwindow.ui
	/usr/bin/uic mapwindow.ui -o ui_mapwindow.h

compiler_yacc_decl_make_all:

## geeps 0.0.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: geeps
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Oct 12 17:24:19 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 14 13:23:12 2010
 # Project:  geeps.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile geeps.pro
@@ -52,7 +52,6 @@
 		directions.cpp \
 		currdirectionsdlg.cpp \
 		toolbutton.cpp \
-		mapwindow.cpp \
 		geolocation.cpp \
 		maemo5wnd.cpp \
 		pickselectoraction.cpp moc_mainwindow.cpp \
@@ -63,7 +62,6 @@
 		moc_currdirectionsdlg.cpp \
 		moc_toolbutton.cpp \
 		moc_fullscreenexitbutton.cpp \
-		moc_mapwindow.cpp \
 		moc_geolocation.cpp \
 		moc_maemo5wnd.cpp \
 		moc_pickselectoraction.cpp \
@@ -77,7 +75,6 @@
 		directions.o \
 		currdirectionsdlg.o \
 		toolbutton.o \
-		mapwindow.o \
 		geolocation.o \
 		maemo5wnd.o \
 		pickselectoraction.o \
@@ -89,7 +86,6 @@
 		moc_currdirectionsdlg.o \
 		moc_toolbutton.o \
 		moc_fullscreenexitbutton.o \
-		moc_mapwindow.o \
 		moc_geolocation.o \
 		moc_maemo5wnd.o \
 		moc_pickselectoraction.o \
@@ -207,7 +203,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/geeps1.0.0 || $(MKDIR) .tmp/geeps1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.h directionsdlg.h finddlg.h geocoderequester.h location.h googledirections.h directions.h currdirectionsdlg.h toolbutton.h fullscreenexitbutton.h mapwindow.h geolocation.h maemo5wnd.h pickselectoraction.h fullscreenexitbutton.h .tmp/geeps1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/geeps1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp directionsdlg.cpp finddlg.cpp geocoderequester.cpp googledirections.cpp directions.cpp currdirectionsdlg.cpp toolbutton.cpp mapwindow.cpp geolocation.cpp maemo5wnd.cpp pickselectoraction.cpp .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.ui directionsdlg.ui finddlg.ui currdirectionsdlg.ui mapwindow.ui .tmp/geeps1.0.0/ && (cd `dirname .tmp/geeps1.0.0` && $(TAR) geeps1.0.0.tar geeps1.0.0 && $(COMPRESS) geeps1.0.0.tar) && $(MOVE) `dirname .tmp/geeps1.0.0`/geeps1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/geeps1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.h directionsdlg.h finddlg.h geocoderequester.h location.h googledirections.h directions.h currdirectionsdlg.h toolbutton.h fullscreenexitbutton.h geolocation.h maemo5wnd.h pickselectoraction.h fullscreenexitbutton.h .tmp/geeps1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/geeps1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp directionsdlg.cpp finddlg.cpp geocoderequester.cpp googledirections.cpp directions.cpp currdirectionsdlg.cpp toolbutton.cpp geolocation.cpp maemo5wnd.cpp pickselectoraction.cpp .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.ui directionsdlg.ui finddlg.ui currdirectionsdlg.ui mapwindow.ui .tmp/geeps1.0.0/ && (cd `dirname .tmp/geeps1.0.0` && $(TAR) geeps1.0.0.tar geeps1.0.0 && $(COMPRESS) geeps1.0.0.tar) && $(MOVE) `dirname .tmp/geeps1.0.0`/geeps1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/geeps1.0.0
 
 
 clean:compiler_clean 
@@ -226,9 +222,9 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_mapwindow.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
+compiler_moc_header_make_all: moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_mapwindow.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
+	-$(DEL_FILE) moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
 moc_mainwindow.cpp: toolbutton.h \
 		location.h \
 		geolocation.h \
@@ -263,9 +259,6 @@
 
 moc_fullscreenexitbutton.cpp: fullscreenexitbutton.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) fullscreenexitbutton.h -o moc_fullscreenexitbutton.cpp
-
-moc_mapwindow.cpp: mapwindow.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) mapwindow.h -o moc_mapwindow.cpp
 
 moc_geolocation.cpp: location.h \
 		geolocation.h
@@ -314,3 +307,13 @@
 	/usr/bin/uic mapwindow.ui -o ui_mapwindow.h
 
 compiler_yacc_decl_make_all:
+compiler_yacc_decl_clean:
+compiler_yacc_impl_make_all:
+compiler_yacc_impl_clean:
+compiler_lex_make_all:
+compiler_lex_clean:
+compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 
+
+####### Compile
+
+main.o: main.cpp mainwindow.h \

=== debian/changelog ===
geeps (0.0.4) unstable; urgency=low

  * Save settings, some new key shortcuts, bicycling and traffic layers

 -- Felipe Crochik <geeps@crochik.com>  Thu, 14 Oct 2010 13:32:06 -0400

geeps (0.0.3-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Felipe Crochik <geeps@crochik.com>  Tue, 12 Oct 2010 17:49:50 -0400

## geeps 0.0.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: geeps
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 14 13:23:12 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 14 18:12:57 2010
 # Project:  geeps.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile geeps.pro

=== debian/changelog ===
geeps (0.0.5) unstable; urgency=low

  * show accuracy, wait for html page to be loaded 

 -- Felipe Crochik <geeps@crochik.com>  Thu, 14 Oct 2010 18:16:54 -0400

## geeps 0.0.10

=== debian/changelog ===
geeps (0.0.10) unstable; urgency=low

  * cosmetic changes

 -- Felipe Crochik <geeps@crochik.com>  Tue, 26 Oct 2010 22:17:58 -0400

geeps (0.0.9) unstable; urgency=low

  * finger scroll

 -- Felipe Crochik <geeps@crochik.com>  Tue, 26 Oct 2010 22:17:58 -0400

geeps (0.0.8) unstable; urgency=low

  * next/prev route, next/prev step

 -- Felipe Crochik <geeps@crochik.com>  Tue, 26 Oct 2010 22:17:58 -0400

geeps (0.0.7) unstable; urgency=low

  * google local business search

 -- Felipe Crochik <geeps@crochik.com>  Mon, 25 Oct 2010 15:20:49 -0400

geeps (0.0.6) unstable; urgency=low

  * local search, current directions UI, flow 

 -- Felipe Crochik <geeps@crochik.com>  Tue, 19 Oct 2010 19:45:50 -0400

## geeps 0.0.11

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: geeps
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 14 18:12:57 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 28 12:27:28 2010
 # Project:  geeps.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile geeps.pro
@@ -10,13 +10,13 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="debian/geeps/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="debian/geeps/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_SCRIPT_LIB -DQT_SCRIPTTOOLS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include/QtXml -I/usr/include/QtWebKit -I/usr/include/QtMaemo5 -I/usr/include -I/usr/include/QtLocation -I/usr/include -I. -I.
+INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include/QtXml -I/usr/include/QtScriptTools -I/usr/include/QtScript -I/usr/include/QtWebKit -I/usr/include/QtMaemo5 -I/usr/include -I/usr/include/QtLocation -I/usr/include -I. -I.
 LINK          = g++
 LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -Wl,-rpath,/usr/lib
-LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtWebKit -lsqlite3 -lphonon -lQtXmlPatterns -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
+LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtWebKit -lsqlite3 -lphonon -lQtXmlPatterns -lQtScriptTools -lQtScript -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -52,6 +52,13 @@
 		directions.cpp \
 		currdirectionsdlg.cpp \
 		toolbutton.cpp \
+		searchdlg.cpp \
+		business.cpp \
+		directionsitemdelegate.cpp \
+		directionsmodel.cpp \
+		localsearchmodel.cpp \
+		localsearchitemdelegate.cpp \
+		fingerscrolleventfilter.cpp \
 		geolocation.cpp \
 		maemo5wnd.cpp \
 		pickselectoraction.cpp moc_mainwindow.cpp \
@@ -62,6 +69,12 @@
 		moc_currdirectionsdlg.cpp \
 		moc_toolbutton.cpp \
 		moc_fullscreenexitbutton.cpp \
+		moc_searchdlg.cpp \
+		moc_directionsitemdelegate.cpp \
+		moc_directionsmodel.cpp \
+		moc_localsearchmodel.cpp \
+		moc_localsearchitemdelegate.cpp \
+		moc_fingerscrolleventfilter.cpp \
 		moc_geolocation.cpp \
 		moc_maemo5wnd.cpp \
 		moc_pickselectoraction.cpp \
@@ -75,6 +88,13 @@
 		directions.o \
 		currdirectionsdlg.o \
 		toolbutton.o \
+		searchdlg.o \
+		business.o \
+		directionsitemdelegate.o \
+		directionsmodel.o \
+		localsearchmodel.o \
+		localsearchitemdelegate.o \
+		fingerscrolleventfilter.o \
 		geolocation.o \
 		maemo5wnd.o \
 		pickselectoraction.o \
@@ -86,6 +106,12 @@
 		moc_currdirectionsdlg.o \
 		moc_toolbutton.o \
 		moc_fullscreenexitbutton.o \
+		moc_searchdlg.o \
+		moc_directionsitemdelegate.o \
+		moc_directionsmodel.o \
+		moc_localsearchmodel.o \
+		moc_localsearchitemdelegate.o \
+		moc_fingerscrolleventfilter.o \
 		moc_geolocation.o \
 		moc_maemo5wnd.o \
 		moc_pickselectoraction.o \
@@ -138,7 +164,7 @@
 
 all: Makefile $(TARGET)
 
-$(TARGET): ui_mainwindow.h ui_directionsdlg.h ui_finddlg.h ui_currdirectionsdlg.h ui_mapwindow.h $(OBJECTS)  
+$(TARGET): ui_mainwindow.h ui_directionsdlg.h ui_finddlg.h ui_currdirectionsdlg.h ui_mapwindow.h ui_searchdlg.h $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
 Makefile: geeps.pro  /usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
@@ -168,7 +194,9 @@
 		/usr/lib/libQtWebKit.prl \
 		/usr/lib/libphonon.prl \
 		/usr/lib/libQtXmlPatterns.prl \
-		/usr/lib/libQtNetwork.prl
+		/usr/lib/libQtNetwork.prl \
+		/usr/lib/libQtScript.prl \
+		/usr/lib/libQtScriptTools.prl
 	$(QMAKE) -unix -o Makefile geeps.pro
 /usr/share/qt4/mkspecs/common/unix.conf:
 /usr/share/qt4/mkspecs/common/linux.conf:
@@ -198,12 +226,14 @@
 /usr/lib/libphonon.prl:
 /usr/lib/libQtXmlPatterns.prl:
 /usr/lib/libQtNetwork.prl:
+/usr/lib/libQtScript.prl:
+/usr/lib/libQtScriptTools.prl:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile geeps.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/geeps1.0.0 || $(MKDIR) .tmp/geeps1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.h directionsdlg.h finddlg.h geocoderequester.h location.h googledirections.h directions.h currdirectionsdlg.h toolbutton.h fullscreenexitbutton.h geolocation.h maemo5wnd.h pickselectoraction.h fullscreenexitbutton.h .tmp/geeps1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/geeps1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp directionsdlg.cpp finddlg.cpp geocoderequester.cpp googledirections.cpp directions.cpp currdirectionsdlg.cpp toolbutton.cpp geolocation.cpp maemo5wnd.cpp pickselectoraction.cpp .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.ui directionsdlg.ui finddlg.ui currdirectionsdlg.ui mapwindow.ui .tmp/geeps1.0.0/ && (cd `dirname .tmp/geeps1.0.0` && $(TAR) geeps1.0.0.tar geeps1.0.0 && $(COMPRESS) geeps1.0.0.tar) && $(MOVE) `dirname .tmp/geeps1.0.0`/geeps1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/geeps1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.h directionsdlg.h finddlg.h geocoderequester.h location.h googledirections.h directions.h currdirectionsdlg.h toolbutton.h fullscreenexitbutton.h searchdlg.h business.h directionsitemdelegate.h directionsmodel.h localsearchmodel.h localsearchitemdelegate.h fingerscrolleventfilter.h geolocation.h maemo5wnd.h pickselectoraction.h fullscreenexitbutton.h .tmp/geeps1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/geeps1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp directionsdlg.cpp finddlg.cpp geocoderequester.cpp googledirections.cpp directions.cpp currdirectionsdlg.cpp toolbutton.cpp searchdlg.cpp business.cpp directionsitemdelegate.cpp directionsmodel.cpp localsearchmodel.cpp localsearchitemdelegate.cpp fingerscrolleventfilter.cpp geolocation.cpp maemo5wnd.cpp pickselectoraction.cpp .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.ui directionsdlg.ui finddlg.ui currdirectionsdlg.ui mapwindow.ui searchdlg.ui .tmp/geeps1.0.0/ && (cd `dirname .tmp/geeps1.0.0` && $(TAR) geeps1.0.0.tar geeps1.0.0 && $(COMPRESS) geeps1.0.0.tar) && $(MOVE) `dirname .tmp/geeps1.0.0`/geeps1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/geeps1.0.0
 
 
 clean:compiler_clean 
@@ -222,9 +252,9 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
+compiler_moc_header_make_all: moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_searchdlg.cpp moc_directionsitemdelegate.cpp moc_directionsmodel.cpp moc_localsearchmodel.cpp moc_localsearchitemdelegate.cpp moc_fingerscrolleventfilter.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
+	-$(DEL_FILE) moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_searchdlg.cpp moc_directionsitemdelegate.cpp moc_directionsmodel.cpp moc_localsearchmodel.cpp moc_localsearchitemdelegate.cpp moc_fingerscrolleventfilter.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
 moc_mainwindow.cpp: toolbutton.h \
 		location.h \
 		geolocation.h \
@@ -260,60 +290,10 @@
 moc_fullscreenexitbutton.cpp: fullscreenexitbutton.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) fullscreenexitbutton.h -o moc_fullscreenexitbutton.cpp
 
-moc_geolocation.cpp: location.h \
-		geolocation.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) geolocation.h -o moc_geolocation.cpp
-
-moc_maemo5wnd.cpp: maemo5wnd.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) maemo5wnd.h -o moc_maemo5wnd.cpp
-
-moc_pickselectoraction.cpp: pickselectoraction.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) pickselectoraction.h -o moc_pickselectoraction.cpp
-
-moc_fullscreenexitbutton.cpp: fullscreenexitbutton.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) fullscreenexitbutton.h -o moc_fullscreenexitbutton.cpp
-
-compiler_rcc_make_all: qrc_res.cpp
-compiler_rcc_clean:
-	-$(DEL_FILE) qrc_res.cpp
-qrc_res.cpp: res.qrc \
-		west.png \
-		south.png \
-		north.png \
-		east.png
-	/usr/bin/rcc -name res res.qrc -o qrc_res.cpp
-
-compiler_image_collection_make_all: qmake_image_collection.cpp
-compiler_image_collection_clean:
-	-$(DEL_FILE) qmake_image_collection.cpp
-compiler_moc_source_make_all:
-compiler_moc_source_clean:
-compiler_uic_make_all: ui_mainwindow.h ui_directionsdlg.h ui_finddlg.h ui_currdirectionsdlg.h ui_mapwindow.h
-compiler_uic_clean:
-	-$(DEL_FILE) ui_mainwindow.h ui_directionsdlg.h ui_finddlg.h ui_currdirectionsdlg.h ui_mapwindow.h
-ui_mainwindow.h: mainwindow.ui
-	/usr/bin/uic mainwindow.ui -o ui_mainwindow.h
-
-ui_directionsdlg.h: directionsdlg.ui
-	/usr/bin/uic directionsdlg.ui -o ui_directionsdlg.h
-
-ui_finddlg.h: finddlg.ui
-	/usr/bin/uic finddlg.ui -o ui_finddlg.h
-
-ui_currdirectionsdlg.h: currdirectionsdlg.ui
-	/usr/bin/uic currdirectionsdlg.ui -o ui_currdirectionsdlg.h
-
-ui_mapwindow.h: mapwindow.ui
-	/usr/bin/uic mapwindow.ui -o ui_mapwindow.h
-
-compiler_yacc_decl_make_all:
-compiler_yacc_decl_clean:
-compiler_yacc_impl_make_all:
-compiler_yacc_impl_clean:
-compiler_lex_make_all:
-compiler_lex_clean:
-compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 
-
-####### Compile
-
-main.o: main.cpp mainwindow.h \
+moc_searchdlg.cpp: localsearchmodel.h \
+		business.h \
+		location.h \
+		searchdlg.h
+	/usr/bin/moc $(DEFINES) $(INCPATH) searchdlg.h -o moc_searchdlg.cpp
+
+moc_directionsitemdelegate.cpp: directionsitemdelegate.h

=== debian/changelog ===
geeps (0.0.11) unstable; urgency=low

  * removed name of local business from destination

 -- Felipe Crochik <geeps@crochik.com>  Tue, 26 Oct 2010 22:17:58 -0400

=== debian/control ===
Source: geeps
Section: user/navigation
Priority: extra
Maintainer: Felipe Crochik <felipe@crochik.com>
XSBC-Bugtracker: mailto:geeps@crochik.com
Build-Depends: debhelper (>= 5), libqt4-dev, libx11-dev, libgconf2-dev, libqt4-sql, libqt4-sql-sqlite, libqtm-location, libqtm-dev
Standards-Version: 3.7.2
XB-Maemo-Display-Name: Crochik GeePS

Package: geeps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hildon-application-manager
Description: Front-end for Google maps optimized for the n900.
 Early release.

## geeps 0.0.12

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #############################################################################
 # Makefile for building: geeps
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 28 12:27:28 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Oct 29 11:47:57 2010
 # Project:  geeps.pro
 # Template: app
-# Command: /usr/bin/qmake -unix -o Makefile geeps.pro
+# Command: /usr/bin/qmake -o Makefile geeps.pro
 #############################################################################
 
 ####### Compiler, tools and options
@@ -15,8 +15,8 @@
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include/QtXml -I/usr/include/QtScriptTools -I/usr/include/QtScript -I/usr/include/QtWebKit -I/usr/include/QtMaemo5 -I/usr/include -I/usr/include/QtLocation -I/usr/include -I. -I.
 LINK          = g++
-LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -Wl,-rpath,/usr/lib
-LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtWebKit -lsqlite3 -lphonon -lQtXmlPatterns -lQtScriptTools -lQtScript -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
+LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
+LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtWebKit -lQtScriptTools -lQtScript -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -119,6 +119,7 @@
 DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
 		/usr/share/qt4/mkspecs/common/linux.conf \
 		/usr/share/qt4/mkspecs/qconfig.pri \
+		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -170,6 +171,7 @@
 Makefile: geeps.pro  /usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
 		/usr/share/qt4/mkspecs/common/linux.conf \
 		/usr/share/qt4/mkspecs/qconfig.pri \
+		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -187,20 +189,19 @@
 		/usr/share/qt4/mkspecs/features/lex.prf \
 		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
 		/usr/lib/libQtMaemo5.prl \
+		/usr/lib/libQtGui.prl \
 		/usr/lib/libQtDBus.prl \
 		/usr/lib/libQtXml.prl \
 		/usr/lib/libQtCore.prl \
-		/usr/lib/libQtGui.prl \
 		/usr/lib/libQtWebKit.prl \
-		/usr/lib/libphonon.prl \
-		/usr/lib/libQtXmlPatterns.prl \
-		/usr/lib/libQtNetwork.prl \
 		/usr/lib/libQtScript.prl \
-		/usr/lib/libQtScriptTools.prl
-	$(QMAKE) -unix -o Makefile geeps.pro
+		/usr/lib/libQtScriptTools.prl \
+		/usr/lib/libQtNetwork.prl
+	$(QMAKE) -o Makefile geeps.pro
 /usr/share/qt4/mkspecs/common/unix.conf:
 /usr/share/qt4/mkspecs/common/linux.conf:
 /usr/share/qt4/mkspecs/qconfig.pri:
+/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
 /usr/share/qt4/mkspecs/features/qt_functions.prf:
 /usr/share/qt4/mkspecs/features/qt_config.prf:
 /usr/share/qt4/mkspecs/features/exclusive_builds.prf:
@@ -218,18 +219,16 @@
 /usr/share/qt4/mkspecs/features/lex.prf:
 /usr/share/qt4/mkspecs/features/include_source_dir.prf:
 /usr/lib/libQtMaemo5.prl:
+/usr/lib/libQtGui.prl:
 /usr/lib/libQtDBus.prl:
 /usr/lib/libQtXml.prl:
 /usr/lib/libQtCore.prl:
-/usr/lib/libQtGui.prl:
 /usr/lib/libQtWebKit.prl:
-/usr/lib/libphonon.prl:
-/usr/lib/libQtXmlPatterns.prl:
-/usr/lib/libQtNetwork.prl:
 /usr/lib/libQtScript.prl:
 /usr/lib/libQtScriptTools.prl:
+/usr/lib/libQtNetwork.prl:
 qmake:  FORCE
-	@$(QMAKE) -unix -o Makefile geeps.pro
+	@$(QMAKE) -o Makefile geeps.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/geeps1.0.0 || $(MKDIR) .tmp/geeps1.0.0 
@@ -247,6 +246,8 @@
 	-$(DEL_FILE) $(TARGET) 
 	-$(DEL_FILE) Makefile
 
+
+check: first
 
 mocclean: compiler_moc_header_clean compiler_moc_source_clean

=== debian/changelog ===
geeps (0.0.12) unstable; urgency=low

  * fixed loading settings on startup (traffic, bike, map type, accuracy)

 -- Felipe Crochik <geeps@crochik.com>  Fri, 29 Oct 2010 00:00:00 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/geeps.sgml > geeps.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/geeps.
	$(MAKE) DESTDIR=$(CURDIR)/debian/geeps install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## geeps 0.0.13

=== debian/changelog ===
geeps (0.0.13) unstable; urgency=low

  * fixed loading settings on startup (map type, accuracy)

 -- Felipe Crochik <geeps@crochik.com>  Fri, 29 Oct 2010 00:00:00 -0400
